function onBegin()
	if not getFlag("CatAndComparator_heart") then
		disableMovement()
		disableRetry()
		waitUntilOnGround()
		say("CC_CatAn_GoBack")
		run(40,true)
		jump(1)
		run(48,true)
		enableMovement()
		enableRetry()
	end
end